# Creates Bulk Drafts

## POST /Draft/CreateBulk

> Toplu Taslak adisyon oluşturur.

```json
{"openapi":"3.0.1","info":{"title":"E-Adisyon API","version":"v1"},"servers":[{"url":"/ebill"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"CreateBulkDraftCommand":{"type":"object","properties":{"Bills":{"type":"array","items":{"$ref":"#/components/schemas/BulkBillDto"},"nullable":true}},"additionalProperties":false},"BulkBillDto":{"type":"object","properties":{"Bill":{"$ref":"#/components/schemas/BillDto"},"Tags":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"SpecialCode":{"type":"string","nullable":true}},"additionalProperties":false},"BillDto":{"type":"object","properties":{"BillInfo":{"$ref":"#/components/schemas/BillInfoDto"},"CompanyInfo":{"$ref":"#/components/schemas/PartyInfoDto"},"CustomerInfo":{"$ref":"#/components/schemas/PartyInfoDto"},"SellerInfo":{"$ref":"#/components/schemas/EBillSellerInfoDto"},"BillLines":{"type":"array","items":{"$ref":"#/components/schemas/EBillLineDto"},"nullable":true},"Notes":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"BillInfoDto":{"type":"object","properties":{"UUID":{"type":"string","format":"uuid"},"TemplateUUID":{"type":"string","format":"uuid"},"TemplateBase64String":{"type":"string","nullable":true},"BillSerieOrNumber":{"type":"string","nullable":true},"IssueDate":{"type":"string","format":"date-time"},"CurrencyCode":{"type":"string","nullable":true},"ExchangeRate":{"type":"number","format":"double","nullable":true},"RelatedDocument":{"$ref":"#/components/schemas/RelatedDocument"},"ValidityPeriod":{"$ref":"#/components/schemas/ValidityPeriod"}},"additionalProperties":false},"RelatedDocument":{"type":"object","properties":{"Type":{"$ref":"#/components/schemas/RelatedDocumentType"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RelatedDocumentType":{"enum":["EFATURA","EARSIV_FATURA","SATIS_FISI"],"type":"string"},"ValidityPeriod":{"type":"object","properties":{"StartDate":{"type":"string","format":"date-time"},"EndDate":{"type":"string","format":"date-time"}},"additionalProperties":false},"PartyInfoDto":{"type":"object","properties":{"TaxNumber":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"TaxOffice":{"type":"string","nullable":true},"PartyIdentifications":{"type":"array","items":{"$ref":"#/components/schemas/IDTypeDto"},"nullable":true},"AgentPartyIdentifications":{"type":"array","items":{"$ref":"#/components/schemas/IDTypeDto"},"nullable":true},"Address":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Fax":{"type":"string","nullable":true},"Mail":{"type":"string","nullable":true},"WebSite":{"type":"string","nullable":true}},"additionalProperties":false},"IDTypeDto":{"type":"object","properties":{"SchemeID":{"type":"string","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"EBillSellerInfoDto":{"type":"object","properties":{"User":{"type":"string","nullable":true},"TableNo":{"type":"string","nullable":true},"Address":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Fax":{"type":"string","nullable":true},"Mail":{"type":"string","nullable":true},"WebSite":{"type":"string","nullable":true}},"additionalProperties":false},"EBillLineDto":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"Quantity":{"type":"number","format":"double"},"UnitType":{"type":"string","nullable":true},"Price":{"type":"number","format":"double"},"KDVPercent":{"type":"number","format":"double"},"KDVTotal":{"type":"number","format":"double"}},"additionalProperties":false}}},"paths":{"/Draft/CreateBulk":{"post":{"tags":["Draft"],"summary":"Toplu Taslak adisyon oluşturur.","requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CreateBulkDraftCommand"}},"application/json":{"schema":{"$ref":"#/components/schemas/CreateBulkDraftCommand"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateBulkDraftCommand"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateBulkDraftCommand"}}}},"responses":{"200":{"description":"Toplu Taslak adisyon oluşturur.","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"},"409":{"description":"Gönderdiğiniz istek sistemde daha önce bulunduğunda dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#conflict-409\">tıklayınız</a>"},"422":{"description":"Gönderdiğiniz istek geçerli fakat iş kuralları gereği geçersiz değerler içerdiğinde dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#unprocessableentity-422\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var options = new RestClientOptions("//ebill/Draft/CreateBulk")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
var body = @"{" + "\n" +
@"  ""Bills"": [" + "\n" +
@"    {" + "\n" +
@"      ""Bill"": {" + "\n" +
@"        ""BillInfo"": {" + "\n" +
@"          ""UUID"": ""<uuid>""," + "\n" +
@"          ""TemplateUUID"": ""<uuid>""," + "\n" +
@"          ""TemplateBase64String"": ""<string>""," + "\n" +
@"          ""BillSerieOrNumber"": ""<string>""," + "\n" +
@"          ""IssueDate"": ""<dateTime>""," + "\n" +
@"          ""CurrencyCode"": ""<string>""," + "\n" +
@"          ""ExchangeRate"": ""<double>""," + "\n" +
@"          ""RelatedDocument"": {" + "\n" +
@"            ""Type"": ""EFATURA""," + "\n" +
@"            ""Code"": ""<string>""" + "\n" +
@"          }," + "\n" +
@"          ""ValidityPeriod"": {" + "\n" +
@"            ""StartDate"": ""<dateTime>""," + "\n" +
@"            ""EndDate"": ""<dateTime>""" + "\n" +
@"          }" + "\n" +
@"        }," + "\n" +
@"        ""CompanyInfo"": {" + "\n" +
@"          ""TaxNumber"": ""<string>""," + "\n" +
@"          ""Name"": ""<string>""," + "\n" +
@"          ""TaxOffice"": ""<string>""," + "\n" +
@"          ""PartyIdentifications"": [" + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }," + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }" + "\n" +
@"          ]," + "\n" +
@"          ""AgentPartyIdentifications"": [" + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }," + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }" + "\n" +
@"          ]," + "\n" +
@"          ""Address"": ""<string>""," + "\n" +
@"          ""District"": ""<string>""," + "\n" +
@"          ""City"": ""<string>""," + "\n" +
@"          ""Country"": ""<string>""," + "\n" +
@"          ""PostalCode"": ""<string>""," + "\n" +
@"          ""Phone"": ""<string>""," + "\n" +
@"          ""Fax"": ""<string>""," + "\n" +
@"          ""Mail"": ""<string>""," + "\n" +
@"          ""WebSite"": ""<string>""" + "\n" +
@"        }," + "\n" +
@"        ""CustomerInfo"": {" + "\n" +
@"          ""TaxNumber"": ""<string>""," + "\n" +
@"          ""Name"": ""<string>""," + "\n" +
@"          ""TaxOffice"": ""<string>""," + "\n" +
@"          ""PartyIdentifications"": [" + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }," + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }" + "\n" +
@"          ]," + "\n" +
@"          ""AgentPartyIdentifications"": [" + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }," + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }" + "\n" +
@"          ]," + "\n" +
@"          ""Address"": ""<string>""," + "\n" +
@"          ""District"": ""<string>""," + "\n" +
@"          ""City"": ""<string>""," + "\n" +
@"          ""Country"": ""<string>""," + "\n" +
@"          ""PostalCode"": ""<string>""," + "\n" +
@"          ""Phone"": ""<string>""," + "\n" +
@"          ""Fax"": ""<string>""," + "\n" +
@"          ""Mail"": ""<string>""," + "\n" +
@"          ""WebSite"": ""<string>""" + "\n" +
@"        }," + "\n" +
@"        ""SellerInfo"": {" + "\n" +
@"          ""User"": ""<string>""," + "\n" +
@"          ""TableNo"": ""<string>""," + "\n" +
@"          ""Address"": ""<string>""," + "\n" +
@"          ""District"": ""<string>""," + "\n" +
@"          ""City"": ""<string>""," + "\n" +
@"          ""Country"": ""<string>""," + "\n" +
@"          ""PostalCode"": ""<string>""," + "\n" +
@"          ""Phone"": ""<string>""," + "\n" +
@"          ""Fax"": ""<string>""," + "\n" +
@"          ""Mail"": ""<string>""," + "\n" +
@"          ""WebSite"": ""<string>""" + "\n" +
@"        }," + "\n" +
@"        ""BillLines"": [" + "\n" +
@"          {" + "\n" +
@"            ""Name"": ""<string>""," + "\n" +
@"            ""Quantity"": ""<double>""," + "\n" +
@"            ""UnitType"": ""<string>""," + "\n" +
@"            ""Price"": ""<double>""," + "\n" +
@"            ""KDVPercent"": ""<double>""," + "\n" +
@"            ""KDVTotal"": ""<double>""" + "\n" +
@"          }," + "\n" +
@"          {" + "\n" +
@"            ""Name"": ""<string>""," + "\n" +
@"            ""Quantity"": ""<double>""," + "\n" +
@"            ""UnitType"": ""<string>""," + "\n" +
@"            ""Price"": ""<double>""," + "\n" +
@"            ""KDVPercent"": ""<double>""," + "\n" +
@"            ""KDVTotal"": ""<double>""" + "\n" +
@"          }" + "\n" +
@"        ]," + "\n" +
@"        ""Notes"": [" + "\n" +
@"          ""<string>""," + "\n" +
@"          ""<string>""" + "\n" +
@"        ]" + "\n" +
@"      }," + "\n" +
@"      ""Tags"": [" + "\n" +
@"        ""<uuid>""," + "\n" +
@"        ""<uuid>""" + "\n" +
@"      ]," + "\n" +
@"      ""SpecialCode"": ""<string>""" + "\n" +
@"    }," + "\n" +
@"    {" + "\n" +
@"      ""Bill"": {" + "\n" +
@"        ""BillInfo"": {" + "\n" +
@"          ""UUID"": ""<uuid>""," + "\n" +
@"          ""TemplateUUID"": ""<uuid>""," + "\n" +
@"          ""TemplateBase64String"": ""<string>""," + "\n" +
@"          ""BillSerieOrNumber"": ""<string>""," + "\n" +
@"          ""IssueDate"": ""<dateTime>""," + "\n" +
@"          ""CurrencyCode"": ""<string>""," + "\n" +
@"          ""ExchangeRate"": ""<double>""," + "\n" +
@"          ""RelatedDocument"": {" + "\n" +
@"            ""Type"": ""EFATURA""," + "\n" +
@"            ""Code"": ""<string>""" + "\n" +
@"          }," + "\n" +
@"          ""ValidityPeriod"": {" + "\n" +
@"            ""StartDate"": ""<dateTime>""," + "\n" +
@"            ""EndDate"": ""<dateTime>""" + "\n" +
@"          }" + "\n" +
@"        }," + "\n" +
@"        ""CompanyInfo"": {" + "\n" +
@"          ""TaxNumber"": ""<string>""," + "\n" +
@"          ""Name"": ""<string>""," + "\n" +
@"          ""TaxOffice"": ""<string>""," + "\n" +
@"          ""PartyIdentifications"": [" + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }," + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }" + "\n" +
@"          ]," + "\n" +
@"          ""AgentPartyIdentifications"": [" + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }," + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }" + "\n" +
@"          ]," + "\n" +
@"          ""Address"": ""<string>""," + "\n" +
@"          ""District"": ""<string>""," + "\n" +
@"          ""City"": ""<string>""," + "\n" +
@"          ""Country"": ""<string>""," + "\n" +
@"          ""PostalCode"": ""<string>""," + "\n" +
@"          ""Phone"": ""<string>""," + "\n" +
@"          ""Fax"": ""<string>""," + "\n" +
@"          ""Mail"": ""<string>""," + "\n" +
@"          ""WebSite"": ""<string>""" + "\n" +
@"        }," + "\n" +
@"        ""CustomerInfo"": {" + "\n" +
@"          ""TaxNumber"": ""<string>""," + "\n" +
@"          ""Name"": ""<string>""," + "\n" +
@"          ""TaxOffice"": ""<string>""," + "\n" +
@"          ""PartyIdentifications"": [" + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }," + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }" + "\n" +
@"          ]," + "\n" +
@"          ""AgentPartyIdentifications"": [" + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }," + "\n" +
@"            {" + "\n" +
@"              ""SchemeID"": ""<string>""," + "\n" +
@"              ""Value"": ""<string>""" + "\n" +
@"            }" + "\n" +
@"          ]," + "\n" +
@"          ""Address"": ""<string>""," + "\n" +
@"          ""District"": ""<string>""," + "\n" +
@"          ""City"": ""<string>""," + "\n" +
@"          ""Country"": ""<string>""," + "\n" +
@"          ""PostalCode"": ""<string>""," + "\n" +
@"          ""Phone"": ""<string>""," + "\n" +
@"          ""Fax"": ""<string>""," + "\n" +
@"          ""Mail"": ""<string>""," + "\n" +
@"          ""WebSite"": ""<string>""" + "\n" +
@"        }," + "\n" +
@"        ""SellerInfo"": {" + "\n" +
@"          ""User"": ""<string>""," + "\n" +
@"          ""TableNo"": ""<string>""," + "\n" +
@"          ""Address"": ""<string>""," + "\n" +
@"          ""District"": ""<string>""," + "\n" +
@"          ""City"": ""<string>""," + "\n" +
@"          ""Country"": ""<string>""," + "\n" +
@"          ""PostalCode"": ""<string>""," + "\n" +
@"          ""Phone"": ""<string>""," + "\n" +
@"          ""Fax"": ""<string>""," + "\n" +
@"          ""Mail"": ""<string>""," + "\n" +
@"          ""WebSite"": ""<string>""" + "\n" +
@"        }," + "\n" +
@"        ""BillLines"": [" + "\n" +
@"          {" + "\n" +
@"            ""Name"": ""<string>""," + "\n" +
@"            ""Quantity"": ""<double>""," + "\n" +
@"            ""UnitType"": ""<string>""," + "\n" +
@"            ""Price"": ""<double>""," + "\n" +
@"            ""KDVPercent"": ""<double>""," + "\n" +
@"            ""KDVTotal"": ""<double>""" + "\n" +
@"          }," + "\n" +
@"          {" + "\n" +
@"            ""Name"": ""<string>""," + "\n" +
@"            ""Quantity"": ""<double>""," + "\n" +
@"            ""UnitType"": ""<string>""," + "\n" +
@"            ""Price"": ""<double>""," + "\n" +
@"            ""KDVPercent"": ""<double>""," + "\n" +
@"            ""KDVTotal"": ""<double>""" + "\n" +
@"          }" + "\n" +
@"        ]," + "\n" +
@"        ""Notes"": [" + "\n" +
@"          ""<string>""," + "\n" +
@"          ""<string>""" + "\n" +
@"        ]" + "\n" +
@"      }," + "\n" +
@"      ""Tags"": [" + "\n" +
@"        ""<uuid>""," + "\n" +
@"        ""<uuid>""" + "\n" +
@"      ]," + "\n" +
@"      ""SpecialCode"": ""<string>""" + "\n" +
@"    }" + "\n" +
@"  ]" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//ebill/Draft/CreateBulk',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "Bills": [
    {
      "Bill": {
        "BillInfo": {
          "UUID": "<uuid>",
          "TemplateUUID": "<uuid>",
          "TemplateBase64String": "<string>",
          "BillSerieOrNumber": "<string>",
          "IssueDate": "<dateTime>",
          "CurrencyCode": "<string>",
          "ExchangeRate": "<double>",
          "RelatedDocument": {
            "Type": "EFATURA",
            "Code": "<string>"
          },
          "ValidityPeriod": {
            "StartDate": "<dateTime>",
            "EndDate": "<dateTime>"
          }
        },
        "CompanyInfo": {
          "TaxNumber": "<string>",
          "Name": "<string>",
          "TaxOffice": "<string>",
          "PartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "AgentPartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "Address": "<string>",
          "District": "<string>",
          "City": "<string>",
          "Country": "<string>",
          "PostalCode": "<string>",
          "Phone": "<string>",
          "Fax": "<string>",
          "Mail": "<string>",
          "WebSite": "<string>"
        },
        "CustomerInfo": {
          "TaxNumber": "<string>",
          "Name": "<string>",
          "TaxOffice": "<string>",
          "PartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "AgentPartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "Address": "<string>",
          "District": "<string>",
          "City": "<string>",
          "Country": "<string>",
          "PostalCode": "<string>",
          "Phone": "<string>",
          "Fax": "<string>",
          "Mail": "<string>",
          "WebSite": "<string>"
        },
        "SellerInfo": {
          "User": "<string>",
          "TableNo": "<string>",
          "Address": "<string>",
          "District": "<string>",
          "City": "<string>",
          "Country": "<string>",
          "PostalCode": "<string>",
          "Phone": "<string>",
          "Fax": "<string>",
          "Mail": "<string>",
          "WebSite": "<string>"
        },
        "BillLines": [
          {
            "Name": "<string>",
            "Quantity": "<double>",
            "UnitType": "<string>",
            "Price": "<double>",
            "KDVPercent": "<double>",
            "KDVTotal": "<double>"
          },
          {
            "Name": "<string>",
            "Quantity": "<double>",
            "UnitType": "<string>",
            "Price": "<double>",
            "KDVPercent": "<double>",
            "KDVTotal": "<double>"
          }
        ],
        "Notes": [
          "<string>",
          "<string>"
        ]
      },
      "Tags": [
        "<uuid>",
        "<uuid>"
      ],
      "SpecialCode": "<string>"
    },
    {
      "Bill": {
        "BillInfo": {
          "UUID": "<uuid>",
          "TemplateUUID": "<uuid>",
          "TemplateBase64String": "<string>",
          "BillSerieOrNumber": "<string>",
          "IssueDate": "<dateTime>",
          "CurrencyCode": "<string>",
          "ExchangeRate": "<double>",
          "RelatedDocument": {
            "Type": "EFATURA",
            "Code": "<string>"
          },
          "ValidityPeriod": {
            "StartDate": "<dateTime>",
            "EndDate": "<dateTime>"
          }
        },
        "CompanyInfo": {
          "TaxNumber": "<string>",
          "Name": "<string>",
          "TaxOffice": "<string>",
          "PartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "AgentPartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "Address": "<string>",
          "District": "<string>",
          "City": "<string>",
          "Country": "<string>",
          "PostalCode": "<string>",
          "Phone": "<string>",
          "Fax": "<string>",
          "Mail": "<string>",
          "WebSite": "<string>"
        },
        "CustomerInfo": {
          "TaxNumber": "<string>",
          "Name": "<string>",
          "TaxOffice": "<string>",
          "PartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "AgentPartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "Address": "<string>",
          "District": "<string>",
          "City": "<string>",
          "Country": "<string>",
          "PostalCode": "<string>",
          "Phone": "<string>",
          "Fax": "<string>",
          "Mail": "<string>",
          "WebSite": "<string>"
        },
        "SellerInfo": {
          "User": "<string>",
          "TableNo": "<string>",
          "Address": "<string>",
          "District": "<string>",
          "City": "<string>",
          "Country": "<string>",
          "PostalCode": "<string>",
          "Phone": "<string>",
          "Fax": "<string>",
          "Mail": "<string>",
          "WebSite": "<string>"
        },
        "BillLines": [
          {
            "Name": "<string>",
            "Quantity": "<double>",
            "UnitType": "<string>",
            "Price": "<double>",
            "KDVPercent": "<double>",
            "KDVTotal": "<double>"
          },
          {
            "Name": "<string>",
            "Quantity": "<double>",
            "UnitType": "<string>",
            "Price": "<double>",
            "KDVPercent": "<double>",
            "KDVTotal": "<double>"
          }
        ],
        "Notes": [
          "<string>",
          "<string>"
        ]
      },
      "Tags": [
        "<uuid>",
        "<uuid>"
      ],
      "SpecialCode": "<string>"
    }
  ]
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Accept: application/json',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="Node.js - Axios" %}

```javascript
const axios = require('axios');
let data = JSON.stringify({
  "Bills": [
    {
      "Bill": {
        "BillInfo": {
          "UUID": "<uuid>",
          "TemplateUUID": "<uuid>",
          "TemplateBase64String": "<string>",
          "BillSerieOrNumber": "<string>",
          "IssueDate": "<dateTime>",
          "CurrencyCode": "<string>",
          "ExchangeRate": "<double>",
          "RelatedDocument": {
            "Type": "EFATURA",
            "Code": "<string>"
          },
          "ValidityPeriod": {
            "StartDate": "<dateTime>",
            "EndDate": "<dateTime>"
          }
        },
        "CompanyInfo": {
          "TaxNumber": "<string>",
          "Name": "<string>",
          "TaxOffice": "<string>",
          "PartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "AgentPartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "Address": "<string>",
          "District": "<string>",
          "City": "<string>",
          "Country": "<string>",
          "PostalCode": "<string>",
          "Phone": "<string>",
          "Fax": "<string>",
          "Mail": "<string>",
          "WebSite": "<string>"
        },
        "CustomerInfo": {
          "TaxNumber": "<string>",
          "Name": "<string>",
          "TaxOffice": "<string>",
          "PartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "AgentPartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "Address": "<string>",
          "District": "<string>",
          "City": "<string>",
          "Country": "<string>",
          "PostalCode": "<string>",
          "Phone": "<string>",
          "Fax": "<string>",
          "Mail": "<string>",
          "WebSite": "<string>"
        },
        "SellerInfo": {
          "User": "<string>",
          "TableNo": "<string>",
          "Address": "<string>",
          "District": "<string>",
          "City": "<string>",
          "Country": "<string>",
          "PostalCode": "<string>",
          "Phone": "<string>",
          "Fax": "<string>",
          "Mail": "<string>",
          "WebSite": "<string>"
        },
        "BillLines": [
          {
            "Name": "<string>",
            "Quantity": "<double>",
            "UnitType": "<string>",
            "Price": "<double>",
            "KDVPercent": "<double>",
            "KDVTotal": "<double>"
          },
          {
            "Name": "<string>",
            "Quantity": "<double>",
            "UnitType": "<string>",
            "Price": "<double>",
            "KDVPercent": "<double>",
            "KDVTotal": "<double>"
          }
        ],
        "Notes": [
          "<string>",
          "<string>"
        ]
      },
      "Tags": [
        "<uuid>",
        "<uuid>"
      ],
      "SpecialCode": "<string>"
    },
    {
      "Bill": {
        "BillInfo": {
          "UUID": "<uuid>",
          "TemplateUUID": "<uuid>",
          "TemplateBase64String": "<string>",
          "BillSerieOrNumber": "<string>",
          "IssueDate": "<dateTime>",
          "CurrencyCode": "<string>",
          "ExchangeRate": "<double>",
          "RelatedDocument": {
            "Type": "EFATURA",
            "Code": "<string>"
          },
          "ValidityPeriod": {
            "StartDate": "<dateTime>",
            "EndDate": "<dateTime>"
          }
        },
        "CompanyInfo": {
          "TaxNumber": "<string>",
          "Name": "<string>",
          "TaxOffice": "<string>",
          "PartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "AgentPartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "Address": "<string>",
          "District": "<string>",
          "City": "<string>",
          "Country": "<string>",
          "PostalCode": "<string>",
          "Phone": "<string>",
          "Fax": "<string>",
          "Mail": "<string>",
          "WebSite": "<string>"
        },
        "CustomerInfo": {
          "TaxNumber": "<string>",
          "Name": "<string>",
          "TaxOffice": "<string>",
          "PartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "AgentPartyIdentifications": [
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            },
            {
              "SchemeID": "<string>",
              "Value": "<string>"
            }
          ],
          "Address": "<string>",
          "District": "<string>",
          "City": "<string>",
          "Country": "<string>",
          "PostalCode": "<string>",
          "Phone": "<string>",
          "Fax": "<string>",
          "Mail": "<string>",
          "WebSite": "<string>"
        },
        "SellerInfo": {
          "User": "<string>",
          "TableNo": "<string>",
          "Address": "<string>",
          "District": "<string>",
          "City": "<string>",
          "Country": "<string>",
          "PostalCode": "<string>",
          "Phone": "<string>",
          "Fax": "<string>",
          "Mail": "<string>",
          "WebSite": "<string>"
        },
        "BillLines": [
          {
            "Name": "<string>",
            "Quantity": "<double>",
            "UnitType": "<string>",
            "Price": "<double>",
            "KDVPercent": "<double>",
            "KDVTotal": "<double>"
          },
          {
            "Name": "<string>",
            "Quantity": "<double>",
            "UnitType": "<string>",
            "Price": "<double>",
            "KDVPercent": "<double>",
            "KDVTotal": "<double>"
          }
        ],
        "Notes": [
          "<string>",
          "<string>"
        ]
      },
      "Tags": [
        "<uuid>",
        "<uuid>"
      ],
      "SpecialCode": "<string>"
    }
  ]
});

let config = {
  method: 'post',
  maxBodyLength: Infinity,
  url: '//ebill/Draft/CreateBulk',
  headers: { 
    'Content-Type': 'application/json', 
    'Accept': 'application/json', 
    'Authorization': 'Bearer {{bearerToken}}'
  },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endtab %}
{% endtabs %}
